# Get Metadata for Product File

Use this endpoint to retrieve metadata for a given product file and release.

Endpoint: GET /Metadata/Product/{release}/{productname}

## Header parameters:

  - `Accept` (string, required)
    Format of the response.
    Enum: "application/json", "*/*"

  - `Content-Type` (string, required)
    Format of the request.
    Enum: "application/json", "application/xml"

## Query parameters:

  - `id` (any, required)
    The License Key issued by Melissa.
    Example: "{REPLACE-WITH-YOUR-LICENSE-KEY}"

## Path parameters:

  - `productname` (string, required)
    The name of the target product.
    Enum: "CanadianGeoData", "DataQualityComponents-SSIS", "DataQualitySuite", "FoneData", "Geocoder", "GeoData", "GlobalMatchUp", "mdCanada", "mdELOT", "MP4", "RightFielder", "ZipData"

  - `release` (string, required)
    Specific Release. This can be specified in several ways.
- YYYY.MM OR YYYY-MM  - (year, month)
- YYYY.QQ - (year, quarter)
- [metaReleaseName] - Release Name, for example: latest
    Example: "LATEST"

## Response 200 fields (application/json):

  - `FileName` (string)
    Example: "mdAddr_cSharpCode.cs"

  - `Release` (string)
    Example: "2024.01"

  - `FileSize` (string)
    Example: "99767"

  - `Language` (string)
    Example: "NET"

  - `Architecture` (string)
    Example: "ANY"

  - `MD5` (string)
    Example: "250568c3798c8a51f948bc6291490cc3"

  - `SHA1` (string)
    Example: "b4dfe0d63c67c3d1454a32e344c8e51e326f715a"

  - `SHA256` (string)
    Example: "e93a0e7474db0d49dbf1fa57ecccec145bfc6f22974d3bad9ae05710b1e640bb"

## Response 400 fields (application/json):

  - `type` (string)
    The type of error that occurred.

  - `title` (string)
    A short summary of the error.

  - `status` (integer)
    The HTTP status code for the error.

  - `errors` (object)

  - `errors.$.<PropertyName>` (array)
    A detailed message about the error.

  - `traceId` (string)
    A unique identifier for the request, useful for debugging.


